package dev.fyloz.trial.colorrecipesexplorer.dao;

import dev.fyloz.trial.colorrecipesexplorer.core.model.MaterialType;
import org.springframework.data.jpa.repository.JpaRepository;

public interface MaterialTypeDao extends JpaRepository<MaterialType, Long> {

    boolean existsByName(String name);

    boolean existsByPrefix(String prefix);

    MaterialType findByPrefix(String prefix);

    MaterialType findByName(String name);

}
